package com.slodon.b2b2c.seller.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 4601 商户开户、绑卡
 */
@Data
public class SellerOpenAccountDTO implements Serializable {
    private static final long serialVersionUID = 8218999703039684092L;

    @ApiModelProperty(value = "开户-个人-用户姓名")
    private String pUserName;

    @ApiModelProperty(value = "开户-个人-用户手机号码")
    private String pPhoneNumber;

    @ApiModelProperty(value = "开户-个人-证件号码")
    private String pCredentialNumber;

    @ApiModelProperty(value = "开户-个人-身份证件有效期（起始）,yyyyMMdd")
    private String pIssDate;

    @ApiModelProperty(value = "开户-个人-身份证件有效期（到期）,当证件长期有效时为99991231")
    private String pExpiryDate;

    @ApiModelProperty(value = "开户-个人-联系地址")
    private String pIndAddress;

    @ApiModelProperty(value = "开户-个人-个人邮箱")
    private String pIndEmail;

    @ApiModelProperty(value = "开户-个人-身份证正面扫描件")
    private String pIndCardUp;

    @ApiModelProperty(value = "开户-个人-身份证背面扫描件")
    private String pIndCardDown;

    @ApiModelProperty(value = "开户-企业-企业名称,工商登记企业名称")
    private String eCorporationName;

    @ApiModelProperty(value = "开户-企业-分类类别,营业执照企业类型为“合伙企业”时必填。详见附录")
    private String eCategoryType;

    @ApiModelProperty("开户-企业-分类类别名称,营业执照企业类型为“合伙企业”时必填。详见附录")
    private String eCategoryTypeName;

    @ApiModelProperty(value = "开户-企业-统一社会信用代码")
    private String eUnifiedSocialCreditCode;

    @ApiModelProperty(value = "开户-企业-企业邮箱")
    private String eCorEmail;

    @ApiModelProperty(value = "开户-企业-企业地址")
    private String eCorAddress;

    @ApiModelProperty(value = "开户-企业-省份,详见附录")
    private String eProvince;

    @ApiModelProperty("开户-企业-省份名称,详见附录")
    private String eProvinceName;

    @ApiModelProperty(value = "开户-企业-城市,详见附录")
    private String eCity;

    @ApiModelProperty("开户-企业-城市名称,详见附录")
    private String eCityName;

    @ApiModelProperty(value = "开户-企业-区/县,详见附录")
    private String eDistrict;

    @ApiModelProperty("开户-企业-区/县名称,详见附录")
    private String eDistrictName;

    @ApiModelProperty(value = "开户-企业-企业规模：01=大型;02=中型;03=小型;04=微型;98=其他")
    private String eScale;

    @ApiModelProperty("开户-企业-企业规模名称：01=大型;02=中型;03=小型;04=微型;98=其他")
    private String eScaleName;

    @ApiModelProperty(value = "开户-企业-企业银行账户")
    private String eBasicAcctNo;

    @ApiModelProperty(value = "开户-企业-基础存款账户编号")
    private String eApprovalNo;

    @ApiModelProperty(value = "开户-企业-营业执照有效期（起始）,yyyyMMdd格式")
    private String eAllLicenceIssDate;

    @ApiModelProperty(value = "开户-企业-营业执照有效期（到期），格式：yyyyMMdd；证件长期有效时为 99991231")
    private String eAllLicenceExpiryDate;

    @ApiModelProperty(value = "开户-企业-法人姓名")
    private String eLegalPersonName;

    @ApiModelProperty(value = "开户-企业-法人证件号码")
    private String eLegalCredentialNumber;

    @ApiModelProperty(value = "开户-企业-法人身份证件有效期（起始）,格式：yyyyMMdd")
    private String eLegalPersonIssDate;

    @ApiModelProperty(value = "开户-企业-法人身份证件有效期（到期）,当证件长期有效时为99991231")
    private String eLegalPersonExpiryDate;

    @ApiModelProperty(value = "开户-企业-法人联系电话")
    private String eLegalPersonContactNumber;

    @ApiModelProperty(value = "开户-企业-营业执照扫描件")
    private String eBusinessLicenseImage;

    @ApiModelProperty(value = "开户-企业-基本开户证明")
    private String eOpenAccountCertificate;

    @ApiModelProperty(value = "开户-企业-法人身份证正面扫描件")
    private String eLegalCardUp;

    @ApiModelProperty(value = "开户-企业-法人身份证背面扫描件")
    private String eLegalCardDown;

    public String getpUserName() {
        return pUserName;
    }

    public String getpPhoneNumber() {
        return pPhoneNumber;
    }

    public String getpCredentialNumber() {
        return pCredentialNumber;
    }

    public String getpIssDate() {
        return pIssDate;
    }

    public String getpExpiryDate() {
        return pExpiryDate;
    }

    public String getpIndAddress() {
        return pIndAddress;
    }

    public String getpIndEmail() {
        return pIndEmail;
    }

    public String getpIndCardUp() {
        return pIndCardUp;
    }

    public String getpIndCardDown() {
        return pIndCardDown;
    }

    public String geteCorporationName() {
        return eCorporationName;
    }

    public String geteCategoryType() {
        return eCategoryType;
    }

    public String geteUnifiedSocialCreditCode() {
        return eUnifiedSocialCreditCode;
    }

    public String geteCorEmail() {
        return eCorEmail;
    }

    public String geteCorAddress() {
        return eCorAddress;
    }

    public String geteProvince() {
        return eProvince;
    }

    public String geteCity() {
        return eCity;
    }

    public String geteDistrict() {
        return eDistrict;
    }

    public String geteScale() {
        return eScale;
    }

    public String geteBasicAcctNo() {
        return eBasicAcctNo;
    }

    public String geteApprovalNo() {
        return eApprovalNo;
    }

    public String geteAllLicenceIssDate() {
        return eAllLicenceIssDate;
    }

    public String geteAllLicenceExpiryDate() {
        return eAllLicenceExpiryDate;
    }

    public String geteLegalPersonName() {
        return eLegalPersonName;
    }

    public String geteLegalCredentialNumber() {
        return eLegalCredentialNumber;
    }

    public String geteLegalPersonIssDate() {
        return eLegalPersonIssDate;
    }

    public String geteLegalPersonExpiryDate() {
        return eLegalPersonExpiryDate;
    }

    public String geteLegalPersonContactNumber() {
        return eLegalPersonContactNumber;
    }

    public String geteBusinessLicenseImage() {
        return eBusinessLicenseImage;
    }

    public String geteOpenAccountCertificate() {
        return eOpenAccountCertificate;
    }

    public String geteLegalCardUp() {
        return eLegalCardUp;
    }

    public String geteLegalCardDown() {
        return eLegalCardDown;
    }

    public String geteCategoryTypeName() {
        return eCategoryTypeName;
    }

    public String geteProvinceName() {
        return eProvinceName;
    }

    public String geteCityName() {
        return eCityName;
    }

    public String geteDistrictName() {
        return eDistrictName;
    }

    public String geteScaleName() {
        return eScaleName;
    }
}
